import type { BaseClientOptions } from "../../../../BaseClient";
import { type NormalizedClientOptionsWithAuth } from "../../../../BaseClient";
import { AccountDetailsClient } from "../resources/accountDetails/client/Client";
import { AccountTokenClient } from "../resources/accountToken/client/Client";
import { AsyncPassthroughClient } from "../resources/asyncPassthrough/client/Client";
import { AuditTrailClient } from "../resources/auditTrail/client/Client";
import { AvailableActionsClient } from "../resources/availableActions/client/Client";
import { DeleteAccountClient } from "../resources/deleteAccount/client/Client";
import { DrivesClient } from "../resources/drives/client/Client";
import { FieldMappingClient } from "../resources/fieldMapping/client/Client";
import { FilesClient } from "../resources/files/client/Client";
import { FoldersClient } from "../resources/folders/client/Client";
import { ForceResyncClient } from "../resources/forceResync/client/Client";
import { GenerateKeyClient } from "../resources/generateKey/client/Client";
import { GroupsClient } from "../resources/groups/client/Client";
import { IssuesClient } from "../resources/issues/client/Client";
import { LinkedAccountsClient } from "../resources/linkedAccounts/client/Client";
import { LinkTokenClient } from "../resources/linkToken/client/Client";
import { PassthroughClient } from "../resources/passthrough/client/Client";
import { RegenerateKeyClient } from "../resources/regenerateKey/client/Client";
import { ScopesClient } from "../resources/scopes/client/Client";
import { SyncStatusClient } from "../resources/syncStatus/client/Client";
import { UsersClient } from "../resources/users/client/Client";
import { WebhookReceiversClient } from "../resources/webhookReceivers/client/Client";
export declare namespace FilestorageClient {
    type Options = BaseClientOptions;
}
export declare class FilestorageClient {
    protected readonly _options: NormalizedClientOptionsWithAuth<FilestorageClient.Options>;
    protected _accountDetails: AccountDetailsClient | undefined;
    protected _accountToken: AccountTokenClient | undefined;
    protected _asyncPassthrough: AsyncPassthroughClient | undefined;
    protected _auditTrail: AuditTrailClient | undefined;
    protected _availableActions: AvailableActionsClient | undefined;
    protected _scopes: ScopesClient | undefined;
    protected _deleteAccount: DeleteAccountClient | undefined;
    protected _drives: DrivesClient | undefined;
    protected _fieldMapping: FieldMappingClient | undefined;
    protected _files: FilesClient | undefined;
    protected _folders: FoldersClient | undefined;
    protected _generateKey: GenerateKeyClient | undefined;
    protected _groups: GroupsClient | undefined;
    protected _issues: IssuesClient | undefined;
    protected _linkToken: LinkTokenClient | undefined;
    protected _linkedAccounts: LinkedAccountsClient | undefined;
    protected _passthrough: PassthroughClient | undefined;
    protected _regenerateKey: RegenerateKeyClient | undefined;
    protected _syncStatus: SyncStatusClient | undefined;
    protected _forceResync: ForceResyncClient | undefined;
    protected _users: UsersClient | undefined;
    protected _webhookReceivers: WebhookReceiversClient | undefined;
    constructor(options: FilestorageClient.Options);
    get accountDetails(): AccountDetailsClient;
    get accountToken(): AccountTokenClient;
    get asyncPassthrough(): AsyncPassthroughClient;
    get auditTrail(): AuditTrailClient;
    get availableActions(): AvailableActionsClient;
    get scopes(): ScopesClient;
    get deleteAccount(): DeleteAccountClient;
    get drives(): DrivesClient;
    get fieldMapping(): FieldMappingClient;
    get files(): FilesClient;
    get folders(): FoldersClient;
    get generateKey(): GenerateKeyClient;
    get groups(): GroupsClient;
    get issues(): IssuesClient;
    get linkToken(): LinkTokenClient;
    get linkedAccounts(): LinkedAccountsClient;
    get passthrough(): PassthroughClient;
    get regenerateKey(): RegenerateKeyClient;
    get syncStatus(): SyncStatusClient;
    get forceResync(): ForceResyncClient;
    get users(): UsersClient;
    get webhookReceivers(): WebhookReceiversClient;
}
